{% extends 'base.html' %}class ProyectosForm(ModelForm):
    class Meta:
        model = Proyectos
        fields = '__all__'
        widgets = {

        }


{% block autenticacion-permiso %}
    {% if not perms.auth.change_permission %}
        <meta http-equiv="REFRESH" content="0;url=/">
    {% endif %}
{% endblock %}

{% block nav-permisos %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'oauth_app:index' %}">Permisos <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}

{% block content %}
<div class="container">
    <div class="py-5 text-center">
        <h1 class="text-light"> Gestionar permisos </h1>
    </div>

    <div class="bg-light rounded border-dark">
        <div class="d-flex align-items-center p-3 my-3 text-dark-50">
            <img class="mr-3" src="{{ Usuario.extra_data.picture }}" width="48" height="48">
            <div>
                <h6 class="mb-0 lh-100">{{ Usuario.extra_data.given_name }} {{ Usuario.extra_data.family_name }} </h6>
                <small>{{ Usuario.extra_data.email }}</small>
            </div>
        </div>

        <div class="text-center ml-3">
            <h4 class="text-dark"> Permisos</h4>
        </div>

        <div class="bg-light">
            <form action="{% url 'oauth_app:guardar' Usuario.id %}" method="GET">
                <select class="custom-select custom-select mb-3" {% for r in Rol %}{% if 'SUPERADMIN' == r.name %}disabled{% endif %}{% endfor %}  name="seleccionRol">
                    <option>Selecciona un rol</option>
                    {% for r in Roles %}
                        {% if not 'SUPERADMIN' == r.name %}
                            <option value="{{ r.id }}" {% if r.id == Rol.0.id %}selected{% endif %}>{{ r.name }}</option>
                        {% endif %}
                    {% endfor %}
                </select>
                <!--
                    <div class="form-check ml-3 mt-3">
                        <input class="form-check-input" type="checkbox" id="Permiso1" name="p1"
                               {% if Permisos %}{% if 'auth.change_permission' in Permisos %}checked
                               {% endif %}{% endif %}>
                        <label class="form-check-label" for="Permiso1">Gestionar Permisos</label>
                    </div>
                    <div class="form-check ml-3 mt-3">
                        <input class="form-check-input" type="checkbox" id="Permiso2" name="p2"
                               {% if Permisos %}{% if 'Proyecto.add_proyecto' in Permisos %}checked
                               {% endif %}{% endif %}>
                        <label class="form-check-label" for="Permiso2">Crear Proyectos</label>
                    </div>
                    <div class="form-check ml-3 mt-3">
                        <input class="form-check-input" type="checkbox" id="Permiso3" name="p3"
                               {% if Permisos %}{% if 'Proyecto.view_proyecto' in Permisos %}checked
                               {% endif %}{% endif %}>
                        <label class="form-check-label" for="Permiso3">Ver Todos los Proyectos</label>
                    </div>
                    -->
                <button type="submit" class="btn btn-primary ml-3 mt-3 mb-3" {% for r in Rol %}{% if 'SUPERADMIN' == r.name %}disabled{% endif %}{% endfor %} >Guardar</button>
                <a class="btn btn-secondary mt-3 mb-3" href="{% url 'oauth_app:index' %}">Cancelar</a></a>
            </form>
        </div>
    </div>
</div>
{% endblock %}
